com.holonplatform.datastore.jdbc.composer

## Interface SQLContext

- All Superinterfaces:
    com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider
  All Known Subinterfaces:
    JdbcDatastoreCommodityContext, JdbcOperationContext, SQLCompositionContext, SQLExecutionContext, SQLStatementCompositionContext
  All Known Implementing Classes:
    DefaultJdbcDatastore, DefaultSQLCompositionContext, DefaultSQLExecutionContext, DefaultSQLStatementCompositionContext

      public interface SQLContext
      extends com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider

  SQL composer base context.
  Since:
    5.1.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `SQLDialect` | `getDialect()` Get the `SQLDialect` to use.
    `default SQLTypeConverter` | `getTypeConverter()` Get the `SQLTypeConverter`.
    `default SQLValueDeserializer` | `getValueDeserializer()` Get the `SQLValueDeserializer` of this context.
    `default SQLValueSerializer` | `getValueSerializer()` Get the `SQLValueSerializer` of this context.
    `void` | `trace(String sql)` Trace given SQL statement.

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider

      `getExpressionResolvers`

- - ### Method Detail

    - #### getDialect

          SQLDialect getDialect()

      Get the `SQLDialect` to use.
      Returns:
        The SQL dialect

    - #### getValueSerializer

          default SQLValueSerializer getValueSerializer()

      Get the `SQLValueSerializer` of this context.
      Returns:
        The `SQLValueSerializer`

    - #### getValueDeserializer

          default SQLValueDeserializer getValueDeserializer()

      Get the `SQLValueDeserializer` of this context.
      Returns:
        the `SQLValueDeserializer`

    - #### getTypeConverter

          default SQLTypeConverter getTypeConverter()

      Get the `SQLTypeConverter`.
      Returns:
        the `SQLTypeConverter`

    - #### trace

          void trace(String sql)

      Trace given SQL statement.

      If tracing is enabled, the SQL statement is logged using the `INFO` level, otherwise it is logged using the `DEBUG` level.

      Parameters:
        `sql` - SQL to trace

Copyright © 2019 The Holon Platform. All rights reserved.